Bug 212412 - devel/libclc: fix build with --disable-silent-rules
Summary: devel/libclc: fix build with --disable-silent-rules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy
Depends on:
Blocks: 212075
  Show dependency treegraph
 
Reported: 2016-09-06 13:30 UTC by Dmitry Marakasov
Modified: 2016-09-09 19:26 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (x11)
koobs: merge-quarterly?


Attachments
Patch (641 bytes, patch)
2016-09-06 13:30 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-09-06 13:30:07 UTC
Created attachment 174415 [details]
Patch

libclc sets GNU_CONFIGURE while it doesn't really use GNU configure script. This leads to GNU configure related arguments incorrectly added to CONFIGURE_ARGS - this works by chance now, but breaks if --enable-silent-rules are added to CONFIGURE_ARGS. Fix that by removing GNU_CONFIGURE and adding --prefix to custom configure arguments.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-09-08 09:47:51 UTC
@Dmitry These appear to be blanket (implicit approval, just fix it if well tested/QA'd) changes. Feel free to assign/commit/mfh
Comment 2 commit-hook freebsd_committer 2016-09-09 19:26:30 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Sep  9 19:25:30 UTC 2016
New revision: 421631
URL: https://svnweb.freebsd.org/changeset/ports/421631

Log:
  - Fix configure: this is not really a GNU configure

  Fixes build with --disable-silent-rules

  PR:		212412
  Submitted by:	amdmi3
  Approved by:	portmgr

Changes:
  head/devel/libclc/Makefile